### Signal

# Xdp InputCaptureSession::activated

#### Declaration

    void
    activated (
      XdpInputCaptureSession* self,
      guint activation_id,
      GVariant* options,
      gpointer user_data
    )

#### Description [src]

Emitted when an InputCapture session activates and sends events. When this signal is emitted, events will appear on the transport layer.

Default handler: The default handler is called after the handlers added via `g_signal_connect_after()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal

#### Parameters

`activation_id`

  Type: `guint`

  The unique activation_id to identify this input capture.

`options`

  Type: `GVariant`

  A GVariant with the signal options.

  The data is owned by the caller of the function.